## gcc-defaults 1.107

=== debian/changelog ===
gcc-defaults (1.107) unstable; urgency=low

  * Enable multiarch build for libgcj-bc. Closes: #633359.
  * Don't care about gc[cj]-4.6 build dependencies on m68k.
  * Fix last references to obsolete gcj package.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jul 2011 19:23:28 +0200

gcc-defaults (1.106) unstable; urgency=low

  * Bump GCC 4.6 versions to 4.6.1.
  * Bump GCC 4.4 versions to 4.4.6.
  * Default to 4.6 for sh4 (Nobuhiro Iwamatsu). Closes: #633073.
  * Default to 4.6 for ia64 (email exchange with Bdale Garbee).
  * Default to 4.6 for sparc64 (Aurelian Jarno).
  * Default to 4.6 for sparc. Last "supported" architecture in Debian
    using GCC 4.4, but unmaintained by the Debian GCC maintainers.
  * Make cpp Multi-Arch: allowed. Closes: #630853.
  * cpp: Don't call update-alternatives on upgrade. Closes: #568299.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jul 2011 15:59:53 +0200

gcc-defaults (1.105) unstable; urgency=low

  * Build libgcj-bc for multiarch. Closes: #630417.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jun 2011 23:47:48 +0200

gcc-defaults (1.104) unstable; urgency=low

  * Bump libgcj version for gcj-4.6. Closes: #624632.
  * gcc-multilib: Drop the pre-depends on linux-libc-dev. Closes: #624660.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Apr 2011 20:44:40 +0200

gcc-defaults (1.103) unstable; urgency=low

  * Don't build gccgo on armel and armhf. Closes: #622095.
  * Add dependency on gcc-multilib to the other -multilib packages.
  * Stop building transitional gij and gcj packages.
  * Default to 4.6 for x86, armel, hppa, powerpc.
  * Default to 4.6 for armhf (Konstantinos Margaritis).
  * Default to 4.6 for hurd-i386 (Samuel Thibault).
  * Default to 4.6 for s390 (Bastian Blank).
  * Default to 4.6 for mips and mipsel (Aurelian Jarno).

 -- Matthias Klose <doko@debian.org>  Fri, 29 Apr 2011 17:38:51 +0200

gcc-defaults (1.102) unstable; urgency=medium

  * Fix typos. Closes: #620275, #620190.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Apr 2011 15:53:14 +0200

gcc-defaults (1.101) unstable; urgency=low

  * Update rebuild-gcj-db for gcj-4.5 and gcj-4.6.
  * debian/rules: Fix libgcj-bc.so.1 symlink for multiarch path,
    when building for multiarch (Martin Pitt).
  * Remove sparc gcc/g++ wrappers.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Mar 2011 00:37:25 +0200

gcc-defaults (1.100) unstable; urgency=low

  * c99: Do not accept -ansi option (Mike Miller). Closes: #617321.
  * c99: Clarify c99 error message incorrectly refering to ANSI C
    (Mike Miller). Closes: #618718.
  * On hppa, default gcc, g++, gobjc, gobjc++, gfortran to GCC-4.5.
  * Build gccgo and gccgo-multilib packages.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Mar 2011 13:05:18 +0200

gcc-defaults (1.99) unstable; urgency=low

  * gdc: Fix versioned dependency on gdc-4.4.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Mar 2011 22:43:33 +0100

gcc-defaults (1.98) unstable; urgency=low

  * Stop building gpc. Closes: #613923.
  * Default to gdc-4.4.
  * On amd64, armel, armhf, i386, powerpc, ppc64, kfreebsd-amd64
    and kfreebsd-i386:
    Default gcc, g++, gobjc, gobjc++, gfortran to GCC-4.5.
  * Do not install anymore the sparc gcc/g++ wrappers.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Mar 2011 03:10:53 +0100

gcc-defaults (1.97) unstable; urgency=low

  * On armhf, point gdc to gdc-4.4.
  * Tighten build dependency on python. Closes: #604188.
  * Add Vcs-* attributes to the control file. Closes: #597058.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Dec 2010 02:28:32 +0100
