## gcc-defaults 1.107ubuntu5

=== debian/changelog ===
gcc-defaults (1.107ubuntu5) oneiric; urgency=low

  * Revert last change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 09:16:22 +0200

gcc-defaults (1.107ubuntu4) oneiric; urgency=low

  * Move the asm symlink from gcc-multilib to gcc for one build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 08:47:53 +0200

gcc-defaults (1.107ubuntu3) oneiric; urgency=low

  * Build the -multilib packages for armel/armhf. LP: #810360.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jul 2011 09:38:27 +0200

gcc-defaults (1.107ubuntu2) oneiric; urgency=low

  * Bump versions for the -spu packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jul 2011 11:15:51 +0200

gcc-defaults (1.107ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Build -doc packages and include GFDL licensed files.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jul 2011 10:26:24 +0200

gcc-defaults (1.104ubuntu3) oneiric; urgency=low

  * And fix libgcj-bc release number.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2011 13:20:42 +0200

gcc-defaults (1.104ubuntu2) oneiric; urgency=low

  * Bump libgcj-common version to 4.6.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2011 12:33:43 +0200

gcc-defaults (1.104ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Build -doc packages and include GFDL licensed files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Apr 2011 17:31:23 +0200

gcc-defaults (1.102ubuntu1) oneiric; urgency=low

  * Default to 4.6 for x86, armel, hppa, powerpc and s390.
  * Don't build gccgo on armel and armhf. Closes: #622095.
  * Add dependency on gcc-multilib to the other -multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Apr 2011 17:31:23 +0200
