=== debian/rules ===
--- 
+++ 
@@ -111,7 +111,7 @@
 REL_NO_453	:= $(shell expr $(VMINOR) - 102)$(REL_EXT)
 
 # gcc-defaults 1.100 is the first version with 4.6.0 support.
-REL_NO_460	:= $(shell expr $(VMINOR) - 99)$(REL_EXT)
+REL_NO_460	:= $(shell expr $(VMINOR) - 98)$(REL_EXT)
 # gcc-defaults 1.106 is the first version with 4.6.1 support.
 REL_NO_461	:= $(shell expr $(VMINOR) - 105)$(REL_EXT)
 
@@ -137,7 +137,7 @@
 REQV_44		:= (>= 4.4.6-1~)
 REQV_44_GDC	:= (>= $(GDC_VERSION)-4.4.5-1)
 REQV_45		:= (>= 4.5.3-1)
-REQV_46		:= (>= 4.6.1-1~)
+REQV_46		:= (>= 4.6.1-1)
 
 REQV_LIBGCJ_BC	:= (>= 4.4.5-1~)
 
@@ -165,7 +165,7 @@
 CV_LIBGCJBC	:= 4.4.6-$(REL_NO_446)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
 CV_GDC		:= 4.4.6-$(REL_NO_446)
-CV_LIBGCJCOMMON	:= 1:4.4.6-$(REL_NO_446)
+CV_LIBGCJCOMMON	:= 1:4.6.1-$(REL_NO_461)
 CV_SPU		:= 4.4.6-$(REL_NO_446)
 
 ifneq (,$(filter $(DEB_HOST_ARCH), $(gcc46_archs)))
@@ -175,6 +175,6 @@
   CV_GOBJC		:= 4.6.1-$(REL_NO_461)
   CV_GOBJCXX		:= 4.6.1-$(REL_NO_461)
   CV_GFORT		:= 4.6.1-$(REL_NO_461)
+  CV_SPU		:= 4.6.1-$(REL_NO_461)
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj46_archs)))
