## gcc-defaults 1.108

=== debian/changelog ===
gcc-defaults (1.108) unstable; urgency=low

  [ Matthias Klose ]
  * debian/rules: Remove duplicate code.
  * Fix libgcj.pc symlink for multiarch builds.
  * Fix upgrade path (/usr/include/asm must be a symlink). Closes: #638418.
  
  [ Aurelien Jarno ]
  * Add support for s390x.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Sep 2011 16:55:44 +0200
