=== debian/rules ===
--- 
+++ 
@@ -119,6 +119,7 @@
 
 GPC_VERSION	:= 2.1
 GDC_VERSION	:= 1.063
+GDC1_VERSION	:= 1.063
 
 # minimum required gcc-X.Y versions
 REQV_295	:= (>= 1:2.95.4-16)
@@ -135,9 +136,9 @@
 REQV_42		:= (>= 4.2.4-1)
 REQV_42_GCJ	:= (>= 4.2.4-1)
 REQV_43		:= (>= 4.3.5-1)
-REQV_43_GDC	:= (>= $(GDC_VERSION)-4.3.5-1)
+REQV_43_GDC	:= (>= $(GDC1_VERSION)-4.3.5-1)
 REQV_44		:= (>= 4.4.6-1~)
-REQV_44_GDC	:= (>= $(GDC_VERSION)-4.4.5-1)
+REQV_44_GDC	:= (>= $(GDC1_VERSION)-4.4.6-10~)
 REQV_45		:= (>= 4.5.3-1)
 REQV_46		:= (>= 4.6.2-2~)
 
@@ -148,8 +149,8 @@
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-gcc46_archs = amd64 armel armhf hppa i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 kfreebsd-amd64 kfreebsd-i386 hurd-i386
-gcj46_archs = amd64 armel armhf hppa i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 kfreebsd-amd64 kfreebsd-i386 hurd-i386
+gcc46_archs = alpha amd64 armel armhf hppa i386 ia64 lpia m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 kfreebsd-amd64 kfreebsd-i386 hurd-i386
+gcj46_archs = alpha amd64 armel armhf hppa i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 kfreebsd-amd64 kfreebsd-i386 hurd-i386
 
 # CV_XXX is the complete version number, including the release, without epoch
 CV_CHILL:= 2.95.4-$(REL_NO_295)
@@ -167,10 +168,9 @@
 CV_LIBGCJBC	:= 4.4.6-$(REL_NO_446)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
 CV_GDC		:= 4.4.6-$(REL_NO_446)
+CV_GDC1		:= 4.4.6-$(REL_NO_446)
 CV_LIBGCJCOMMON	:= 1:4.4.6-$(REL_NO_446)
 CV_SPU		:= 4.4.6-$(REL_NO_446)
 
 ifneq (,$(filter $(DEB_HOST_ARCH), $(gcc46_archs)))
   CV_CPP		:= 4.6.2-$(REL_NO_462)
-  CV_GCC		:= 4.6.2-$(REL_NO_462)
-  CV_GPP		:= 4.6.2-$(REL_NO_462)
