=== debian/rules ===
--- 
+++ 
@@ -118,7 +118,7 @@
 REL_NO_462	:= $(shell expr $(VMINOR) - 108)$(REL_EXT)
 
 GPC_VERSION	:= 2.1
-GDC_VERSION	:= 1.063
+GDC_VERSION	:= 0.29
 GDC1_VERSION	:= 1.063
 
 # minimum required gcc-X.Y versions
@@ -141,6 +141,7 @@
 REQV_44_GDC	:= (>= $(GDC1_VERSION)-4.4.6-10~)
 REQV_45		:= (>= 4.5.3-1)
 REQV_46		:= (>= 4.6.2-2~)
+REQV_46_GDC	:= (>= $(GDC_VERSION)-4.6.2-4~)
 
 REQV_LIBGCJ_BC	:= (>= 4.4.5-1~)
 
@@ -162,15 +163,14 @@
 CV_GOBJC	:= 4.4.6-$(REL_NO_446)
 CV_GOBJCXX	:= 4.4.6-$(REL_NO_446)
 CV_GFORT	:= 4.4.6-$(REL_NO_446)
-CV_GGO		:= 4.6.1-$(REL_NO_461)
+CV_GGO		:= 4.6.2-$(REL_NO_462)
 CV_GCJ		:= 4.4.6-$(REL_NO_446)
 CV_GIJ		:= 4.4.6-$(REL_NO_446)
 CV_LIBGCJBC	:= 4.4.6-$(REL_NO_446)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
-CV_GDC		:= 4.4.6-$(REL_NO_446)
+CV_GDC		:= 4.6.2-$(REL_NO_462)
 CV_GDC1		:= 4.4.6-$(REL_NO_446)
 CV_LIBGCJCOMMON	:= 1:4.4.6-$(REL_NO_446)
 CV_SPU		:= 4.4.6-$(REL_NO_446)
 
 ifneq (,$(filter $(DEB_HOST_ARCH), $(gcc46_archs)))
-  CV_CPP		:= 4.6.2-$(REL_NO_462)
